<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/set_bit_offset_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/13/84  set_bit_offset_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in set_bit_offset_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: set_bit_offset_: 02/13/84  set_bit_offset_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: returns a pointer to the specified bit in the segment
<span id="L11" class="LineNr">11 </span>referenced by the input pointer.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>declare set_bit_offset_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_p0">)</span>
<span id="L16" class="LineNr">16 </span>     reducible;
<span id="L17" class="LineNr">17 </span>new_pointer_value = set_bit_offset_ <span class="textRainbow_lv0_p0">(</span>pointer_value<span class="textRainbow_lv0_o0">,</span> bit_offset<span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Arguments:
<span id="L21" class="LineNr">21 </span>pointer_value
<span id="L22" class="LineNr">22 </span>   identifies the segment in which the desired bit resides.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr">23 </span>bit_offset
<span id="L24" class="LineNr">24 </span>   is the offset <span class="textRainbow_lv0_p0">(</span>relative to the base of the segment<span class="textRainbow_lv0_p0">)</span> of the desired
<span id="L25" class="LineNr">25 </span>   bit.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>new_pointer_value
<span id="L27" class="LineNr">27 </span>   is the result of this operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Notes:  The first bit in a segment has a bit offset of zero.
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>If the value of bit_offset is negative or greater than 9,437,183 <span class="textRainbow_lv0_p0">(</span>the
<span id="L33" class="LineNr">33 </span>offset of the last bit in a 256K word segment<span class="textRainbow_lv0_p0">)</span>, the resulting value of
<span id="L34" class="LineNr">34 </span>the call is not defined.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
